%{?_build_arch:  %define ASIANUX 1}
%{!?_build_arch: %define ASIANUX 0}

%if %{ASIANUX}
%define __release_suffix      AX
%else
%define __release_suffix      ml
%endif

Summary: MIRACLE LINUX Package Updater.
Name: mlupd
Version: 1.4.0
Release: 4%{__release_suffix}
URL: http://www.miraclelinux.com/
Source0: %{name}.tar.gz
License: GPL
Group: System/Administration
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: mlupdbody
%if %{ASIANUX}
Requires: asianux-release,miraclelinux-release,gnupg
%else
Requires: miraclelinux-release,gnupg
%endif

%description
MIRACLE LINUX License Package Updater.

%package unstrip
Summary: MIRACLE LINUX license password generator and verifier.
Group: System/Administration

%description unstrip
MIRACLE LINUX License Package Updater.

%prep
%setup -n %{name}
autoheader
autoconf
./configure \
	--prefix=/usr \
	--sysconfdir=/etc/mlupdater \
	--localstatedir=/var \
	--datadir=/usr/share/mlupd

%build
make depend
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
[ ! -d $RPM_BUILD_ROOT/etc/mlupdater ] && mkdir -p $RPM_BUILD_ROOT/etc/mlupdater
mlver=`sed -e 's/^MIRACLE LINUX V\([0-9]*\).*$/\1/' /etc/miraclelinux-release`
if [ $mlver -ge 4 ] ; then
    /usr/bin/iconv -f euc-jp -t utf-8 /etc/mlupdbody/mlupdater.conf > $RPM_BUILD_ROOT/etc/mlupdater/mlupdater.conf
else
    cp /etc/mlupdbody/mlupdater.conf $RPM_BUILD_ROOT/etc/mlupdater/
fi
[ ! -d $RPM_BUILD_ROOT/var/mlupdater/.gpg ] && mkdir -p $RPM_BUILD_ROOT/var/mlupdater/.gpg

%post
%if %{ASIANUX}
    rpm -q gpg-pubkey > /dev/null 2>&1
    if [ $? '!=' 0 ] ; then
	rpm --import /usr/share/doc/asianux-release/RPM-GPG-KEY
	%ifarch x86_64
	    rpm --import /usr/share/doc/asianux-release/RPM-GPG-KEY.ia32
	%endif
    else
	exit 0
    fi
%else
    if [ ! -e /var/mlupdater/.gpg/secring.gpg ] ; then
	GNUPGHOME=/var/mlupdater/.gpg gpg --import /usr/share/miraclelinux-release/miraclelinux-support.asc
    else
	exit 0
    fi
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root)
/usr/sbin/mlupdater
/usr/sbin/mlupdaterd
%dir /etc/mlupdater
%attr(0600,root,root) %config(noreplace) /etc/mlupdater/*.conf
%attr(0755,root,root) %dir /var/mlupdater
%attr(0755,root,root) %dir /var/mlupdater/.gpg
%attr(0755,root,root) %dir /usr/share/doc/%{name}-%{version}
%attr(0755,root,root) %dir /usr/share/doc/%{name}-%{version}/mlupdater
%attr(0444,root,root) %doc /usr/share/doc/%{name}-%{version}/mlupdater/*.html
%attr(0755,root,root) %dir /usr/share/doc/%{name}-%{version}/mlupdater/images
%attr(0444,root,root) %doc /usr/share/doc/%{name}-%{version}/mlupdater/images/*.jpg
%attr(0444,root,root) %doc /usr/share/doc/%{name}-%{version}/mlupdater/images/*.gif

%files unstrip
%defattr(0700,root,root)
/usr/sbin/mlupdater.unstrip
/usr/sbin/mlupdaterd.unstrip

%changelog
* Wed Oct 31 2007 MORIYAMA Masayuki <moriyama@miraclelinux.com> 1.4.0-4AX
- When ending with mlupdaterd, /var/lib/rpm/__db.00[123] are deleted

* Fri Oct 26 2007 MORIYAMA Masayuki <moriyama@miraclelinux.com> 1.4.0-3AX
- fix the problem that MLhdlist cannot download via NetCache
- fix the problem that cannot set more than 256 into updater.port
- fix the problem that cannot access mlpkgsrv.miraclelinux.com via proxy
- When ending, /var/lib/rpm/__db.00[123] are deleted

* Thu Mar 29 2007 MORIYAMA Masayuki <moriyama@miraclelinux.com> 1.4.0-2AX
- update manual

* Tue Mar 20 2007 MORIYAMA Masayuki <moriyama@miraclelinux.com> 1.4.0-1AX
- fix bug of mlupdater.conf

* Fri Mar  2 2007 MORIYAMA Masayuki <moriyama@miraclelinux.com> 1.3.1-6AX
- update manual

* Tue Feb 27 2007 MORIYAMA Masayuki <moriyama@miraclelinux.com> 1.3.1-5AX
- retry is omitted by -t option of mlupdaterd
- fix the problem by which an error message is outputted twice to a log
- rebuild

* Tue Feb 27 2007 MORIYAMA Masayuki <moriyama@miraclelinux.com> 1.3.1-4AX
- Distribution server which succeeded in connection is outputted to a log. 
- rebuild

* Mon Feb 26 2007 MORIYAMA Masayuki <moriyama@miraclelinux.com> 1.3.1-3AX
- The function of a license server and a distribution server is separated.
- rebuild

* Fri Feb 23 2007 MORIYAMA Masayuki <moriyama@miraclelinux.com> 1.3.1-2AX
- remove the download codes of plural architecture
- rebuild

* Thu Nov 30 2006 Mitsutaka AMANO <mamano@miraclelinux.com> 1.3.1-1AX
- deleted fix of 1.3.0. In other words 1.2.1 reset
- fixed is_updated(). target of rpmVersionCompare().
- rebuild

* Thu Aug 24 2006 Mitsutaka AMANO <mamano@miraclelinux.com> 1.3.0-5AX
- fixed manual update (conf)

* Tue Aug 15 2006 Mitsutaka AMANO <mamano@miraclelinux.com> 1.3.0-4AX
- rebuild

* Fri Aug  4 2006 Mitsutaka AMANO <mamano@miraclelinux.com> 1.3.0-3AX
- fixed the problem of segmentation fault

* Mon Jul 24 2006 Mitsutaka AMANO <mamano@miraclelinux.com> 1.3.0-2AX
- only mkinitrd before install the installation object package, update
- added mlupd_sort_relink_prev() (It is not used)

* Tue Jul 11 2006 Mitsutaka AMANO <mamano@miraclelinux.com> 1.3.0-1AX
- fixed dependency checks for exclude package
- update user manual

* Thu Feb 23 2006 MORIYAMA Masayuki <moriyama@miraclelinux.com> 1.2.1-1AX
- fixed dependecy checks

* Thu Jan  5 2006 MORIYAMA Masayuki <moriyama@miraclelinux.com> 1.2.0-5AX
- fixed dependecy checks for bash package installation
- change the date from 2005 to 2006

* Wed Dec 28 2005 Shiro Yamada <shiro@miraclelinux.com> 1.2.0-4AX
- rebuild

* Mon Dec 26 2005 Shiro Yamada <shiro@miraclelinux.com> 1.2.0-3AX
- rebuild

* Thu Dec 22 2005 Shiro Yamada <shiro@miraclelinux.com> 1.2.0-2AX
- fix URL for updated packages

* Thu Sep  8 2005 MORIYAMA Masayuki <moriyama@miraclelinux.com> 1.2.0-1AX
- fixed dependecy checks

* Wed Feb  9 2005 MORIYAMA, Masayuki <moriyama@miraclelinux.com> 1.1.0-14AX
- rebuild

* Mon Jan 31 2005 Shiro Yamada <shiro@miraclelinux.com> 1.1.0-13AX
- update user manual

* Fri Jan 28 2005 MORIYAMA, Masayuki <moriyama@miraclelinux.com> 1.1.0-12AX
- rebuild

* Mon Jan 24 2005 MORIYAMA, Masayuki <moriyama@miraclelinux.com> 1.1.0-11AX
- rebuild

* Mon Jan 24 2005 Shiro Yamada <shiro@miraclelinux.com> 1.1.0-10AX
- update user manual

* Thu Jan 13 2005 Shiro Yamada <shiro@miraclelinux.com> 1.1.0-9AX
- rebuild

* Wed Jan 12 2005 Shiro Yamada <shiro@miraclelinux.com> 1.1.0-8AX
- fixed dependecy checks for clean package installation

* Fri Jan  7 2005 MORIYAMA, Masayuki <moriyama@miraclelinux.com> 1.1.0-7AX
- for rebuild.
- The line feed code of SMTP and HTTP is changed to CRLF.

* Fri Dec 17 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.1.0-6AX
- fixed date calculation error.

* Wed Dec 15 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com> 1.1.0-5AX
- for rebuild.

* Wed Dec 15 2004 Shiro Yamada <shiro@miraclelinux.com> 1.1.0-4AX
- fixed dependecy resolution for packages built with different archs.

* Wed Dec 15 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com> 1.1.0-3AX
- The output of a Japanese message is enabled.

* Fri Nov 26 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com> 1.1.0-2AX
- for rebuild
- fix timeout message (mlupdbody)
- fix date format of "If-Modified-Since:" (mlupdbody)

* Fri Nov 26 2004 Shiro Yamada <shiro@miraclelinux.com> 1.1.0-1AX
- refer to archs when it compares two packages
- import gpg key for ia32 packages when the arch is x86_64

* Thu Nov 25 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- The value of a timeout is changed at 900 seconds. (mlupdbody)
- Fix spelling mistake. (mlupdbody)
- Fix the selection release mistake of a dependence package.

* Fri Sep  3 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com> 1.0.0-2AX
- A kernel is addition-installed with mlupdater.
- The kernel package installed is not displayed.
- Fix bug which a package does not download with mlupdaterd.
- Fix bug by which a dependency is not solved correctly with mlupdater.

* Thu Aug 26 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- Version 1.0.0

* Wed Aug 25 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- Fix bug of the compression option of a rotate log.
- The number of files of rotate log is corrected.
- Fix bug by which a license is not released at the time of the end of
  mlupdaterd.
- It changes so that retry of download by mlupdaterd may be restricted
  to 10 times.
- Updated a manual.

* Fri Aug 13 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- Fix Log Rotation Problems
- Fix Error processing fault at the time of a regular expression
  description mistake
- Fix Error of an error line number
- Fix imperfect log output

* Tue Jun 22 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- for rebuild.

* Mon May 31 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- The fault which cannot update the item of the last of MLhdlist was corrected.

* Fri May 21 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- Update of a manual
- The directory of a manual is deleted at the time of uninstallation.

* Thu May 20 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- The bug of a dependence check was corrected.

* Fri May 14 2004 MORIYAMA, Masayuki <moriyama@miraclelinux.com>
- It corrected so that librpm 4.2.1 API might be used.
- The public key for Asianux is used.

* Wed Oct 7 2003 Jun YOSHIDA <jun@miraclelinux.com>
- Initial build.
